New X library causes `Can't load library libX....' problems!?

New X library causes `Can't load library libX....' problems!?

Post by Danie » Mon, 21 Sep 1998 04:00:00



When I recently installed XFree-libs-3.3.2pl2-1, my X wouldn't run
anymore. In fact, XEmacs wouldn't even run in the console! Both
complained `Can't load library libXaw.so.6', even though libXaw.so.6
was perfectly well installed and visible in /usr/X11R6/lib. When I
replaced libXaw.so.6 by another (older) version, it was OK, but X and
XEmacs complained `Can't load library libXmu.so.6'. At this point I
decided I had better revert to my old X11R6 vsn 3.1.2. However, I am
not very happy with this, since I now have a server 3.3.2, and
libraries 3.1.2. I fear that sooner or later this will blow up right
in my face. Unfortunately, I can't downgrade the server, because
older servers do not understnad about my new S3Virge video card.

Has anybody experienced similar problems? How can it be that an
ELF executable `can't load' a library when this library _does_ exist
and is known to ldconfig? If anyone can shed some light on this puzzle,
I'd be most grateful. Btw, my older X libraries work fine with a
wide range of programs, including many I compiled myself.

Possibly connected to this problem, is the fact that I upgraded to
libc6 recently. Any guesses?

Thanks,

Daniel

PS - Could you please send copies of any replies by e-mail to me

PPS - I discovered today that ncftp dumps core on me. It never did
this before. I recompiled it, and it gave no warnings or error
messages, but it still dumps core. Could this be related? I suspect
that I may have an old library that expects libc5 rather than libc6.
Could this be a possible cause?

PPPS - And I discovered that /usr/games/abuse.x11 failed, complaining
"./abuse.x11R6: can't load dynamic linker '/lib/ld.so nor
/usr/i486-linux/lib/ld.so'", and so did abuse.svga. HELP!

 
 
 

1. New X complains `Can't load library'

When I recently installed XFree-libs-3.3.2pl2-1, my X wouldn't run
anymore. In fact, XEmacs wouldn't even run in the console! Both
complained `Can't load library libXaw.so.6', even though libXaw.so.6
was perfectly well installed and visible in /usr/X11R6/lib. When I
replaced libXaw.so.6 by another (older) version, it was OK, but X and
XEmacs complained `Can't load library libXmu.so.6'. At this point I
decided I had better revert to my old X11R6 vsn 3.1.2. However, I am
not very happy with this, since I now have a server 3.3.2, and
libraries 3.1.2. I fear that sooner or later this will blow up right
in my face. Unfortunately, I can't downgrade the server, because
older servers do not understnad about my new S3Virge video card.

Has anybody experienced similar problems? How can it be that an
ELF executable `can't load' a library when this library _does_ exist
and is known to ldconfig? If anyone can shed some light on this puzzle,
I'd be most grateful. Btw, my older X libraries work fine with a
wide range of programs, including many I compiled myself.

Possibly connected to this problem, is the fact that I upgraded to
libc6 recently. Any guesses?

Thanks,

Daniel

PS - Could you please send copies of any replies by e-mail to me

PPS - I discovered today that ncftp dumps core on me. It never did
this before. I recompiled it, and it gave no warnings or error
messages, but it still dumps core. Could this be related? I suspect
that I may have an old library that expects libc5 rather than libc6.
Could this be a possible cause?

2. ipfwadm: Forwarding specific ports

3. Newbie startx problem: can't load library 'libXpm.so.4'

4. SS20 NIC

5. xdtm problem: xdtm: can't load library '/lib//libc.so.4'

6. Using "dd" to clone disks

7. help: "emacs:can't load library 'libXt.so.6'" . . .

8. Cron silently dies. Why?

9. Can't load library 'libXt.so.6'

10. Lesstif (mwm) can't load library 'libXm.so.0'

11. xinit: can't load library 'libXmu.so.6' ???

12. xinit: can't load library 'libXmu.so.6'

13. netscape - can't load library 'libXpm.so.4'